#ifndef SQUARES_LIST_H
#define SQUARES_LIST_H

//obsluga okienka z kwadratami do budowania planszy

class SquaresList {
    
    public:
        
        SquaresList(int _w);
        
        int DrawSquares(const char* WinName);
        int DrawFrame(const char* WinName);
        
        int MouseClick(int x, int y, int b);
        
        int SetCurrentSquare(unsigned char id);
        int SetW(int _w);
        
        
    private:
        
        int w;
        unsigned char SqrCur;
        int space; //space between squares
        
};



#endif //SQUARES_LIST_H
